org.jboss.resteasy.client.jaxrs.cache

## Class BrowserCacheFeature

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.cache.BrowserCacheFeature

- All Implemented Interfaces:
    Feature

      public class BrowserCacheFeature
      extends Object
      implements Feature

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BrowserCache` | `cache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserCacheFeature()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `configure(FeatureContext configuration)` A call-back method called when the feature is to be enabled in a given runtime configuration scope.
    `BrowserCache` | `getCache()`
    `void` | `setCache(BrowserCache cache)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected BrowserCache cache

  - ### Constructor Detail

    - #### BrowserCacheFeature

          public BrowserCacheFeature()

  - ### Method Detail

    - #### getCache

          public BrowserCache getCache()

    - #### setCache

          public void setCache(BrowserCache cache)

    - #### configure

          public boolean configure(FeatureContext configuration)

      Description copied from interface: `Feature`
      A call-back method called when the feature is to be enabled in a given runtime configuration scope. The responsibility of the feature is to properly update the supplied runtime configuration context and return `true` if the feature was successfully enabled or `false` otherwise.

      Note that under some circumstances the feature may decide not to enable itself, which is indicated by returning `false`. In such case the configuration context does not add the feature to the collection of enabled features and a subsequent call to `Configuration.isEnabled(Feature)` or `Configuration.isEnabled(Class)` method would return `false`.

      Specified by:
        `configure` in interface `Feature`
      Parameters:
        `configuration` - configurable context in which the feature should be enabled.
      Returns:
        `true` if the feature was successfully enabled, `false` otherwise.

Copyright © 2014. All Rights Reserved.